%define	upstream_name	 Module-Signature
%define upstream_version 0.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Check and create SIGNATURE files for CPAN distributions
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
# https://bugs.mageia.org/show_bug.cgi?id=15643
# http://openwall.com/lists/oss-security/2015/04/07/1
# https://github.com/audreyt/module-signature/commit/8a9164596fa5952d4fbcde5aa1c7d1c7bc85372f
# https://github.com/audreyt/module-signature/commit/c41e8885b862b9fce2719449bc9336f0bea658ef
Patch0:     Module-Signature-0.73-fix-security-issues.patch

BuildRequires: perl(Class::Loader)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Convert::ASCII::Armour)
BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(Convert::PEM)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::DSA)
BuildRequires: perl(Crypt::OpenPGP) >= 1.0.0
BuildRequires: perl(Crypt::Primes)
BuildRequires: perl(Crypt::RIPEMD160)
BuildRequires: perl(Crypt::RSA)
BuildRequires: perl(Crypt::Random)
BuildRequires: perl(Data::Buffer) >= 0.40.0
BuildRequires: perl(Digest::MD2)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::Pari)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::EncryptedHash)
BuildArch:  noarch

%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .fix-security-issues

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make

%check
%make test

%install
%{makeinstall_std}

%files
%doc AUTHORS Changes META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module


%changelog
* Tue Apr 07 2015 sander85 <sander85> 0.730.0-5.mga5
+ Revision: 819865
- Fix security issues (mga#15643)

* Wed Oct 15 2014 umeabot <umeabot> 0.730.0-4.mga5
+ Revision: 750484
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.730.0-3.mga5
+ Revision: 685476
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.730.0-2.mga4
+ Revision: 528356
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.730.0-1.mga4
+ Revision: 439549
- update to 0.73
- update to 0.70

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.690.0-1.mga3
+ Revision: 315139
- update to 0.69

* Sun May 15 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 98886
- update to 0.68

* Tue Apr 19 2011 misc <misc> 0.670.0-1.mga1
+ Revision: 88738
- fix BR

  + jquelin <jquelin>
    - update to 0.67

* Wed Jan 19 2011 jquelin <jquelin> 0.660.0-1.mga1
+ Revision: 24253
- fix specs
- imported package perl-Module-Signature


* Sun Nov 07 2010 Shlomi Fish <shlomif@mandriva.org> 0.660.0-1mdv2011.0
+ Revision: 594706
- New version

* Mon Sep 06 2010 Jérôme Quelin <jquelin@mandriva.org> 0.650.0-1mdv2011.0
+ Revision: 576303
- update to 0.65

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.640.0-1mdv2011.0
+ Revision: 552415
- update to 0.64

* Sun Mar 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.630.0-1mdv2010.1
+ Revision: 528435
- update to 0.63

* Wed Mar 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.620.0-1mdv2010.1
+ Revision: 527095
- update to 0.62

* Thu Nov 19 2009 Jérôme Quelin <jquelin@mandriva.org> 0.610.0-1mdv2010.1
+ Revision: 467359
- update to 0.61

* Tue Nov 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2010.1
+ Revision: 466750
- update to 0.60

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.550.0-1mdv2010.0
+ Revision: 407806
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2009.0
+ Revision: 268619
- rebuild early 2009.0 package (before pixel changes)
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - patch: skip rpm-generated files when checking module signature

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-2mdv2008.0
+ Revision: 86655
- rebuild


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:24:56 (59619)
- 0.55

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:12:53 (59618)
Import perl-Module-Signature

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2007.0
- New release 0.54
- spec cleanup
- don't ship empty directories

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.53-2mdk
- Fix According to perl Policy
	- BuildRequires

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.52-1mdk
- 0.52

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Mon Aug 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-1mdk
- 0.50

* Thu Aug 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.45-1mdk
- 0.45

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.44-2mdk
- fix deps

* Thu Dec 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-1mdk
- 0.44

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.42-1mdk
- 0.42

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.41-1mdk
- 0.41

* Thu Jul 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.40-1mdk
- 0.40

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.39-1mdk
- 0.39
- drop redundant requires
- cosmetics

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.42-1mdk
- first Mandrake Release

